import React from 'react';
import ReactDOM from 'react-dom';
import 'react-hot-loader/patch';
import { AppContainer } from 'react-hot-loader';

import App from './app';


const render = Component => {
	ReactDOM.render(
		<AppContainer>
			<App />
		</AppContainer>,
		document.getElementById('root')
	)
}

render(App)

if (module.hot) {
	module.hot.accept('./app', () => { render(App) })
}
